"""Functions for getting the config used for compiling BOUT++

"""
# Created by cmake
_yesno = {"TRUE": True, "ON": True, "FALSE": False, "OFF": False}

config = {
    "cc": "/usr/local/libexec/ccache/cc",
    "cxx": "/usr/local/libexec/ccache/c++",
    "ld": "/usr/local/libexec/ccache/c++",
    "checks": "2",
    "cflags": " -I${BOUT_INCLUDE_PATH}  -O2 -pipe -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing  -I/wrkdirs/usr/ports/science/bout++/work/BOUT-dev-5.1.1/include -isystem /usr/local/include -I${MPARK_VARIANT_INCLUDE_PATH}",
    "libs": "",
    "version": "5.2.0",
    "git": "Unknown",
    "idlpath": "",
    "pythonpath": "/usr/local/lib/python3.11/site-packages",
    "has_netcdf": "true",
    "has_legacy_netcdf": "OFF",
    "has_pnetcdf": "OFF",
    "has_pvode": "ON",
    "has_cvode": "false",
    "has_ida": "false",
    "has_lapack": "OFF",
    "has_petsc": "false",
    "has_slepc": "false",
    "has_mumps": "OFF",
    "has_arkode": "false",
    "has_openmp": "false",
    "has_nls": "ON",
    "has_fftw": "ON",
    "petsc_has_sundials": "",
    "metric_type": "2D",
}

for k, v in config.items():
    config[k] = (
        v.replace(
            "${BOUT_INCLUDE_PATH}", "/usr/local/include"
        )
        .replace(
            "${MPARK_VARIANT_INCLUDE_PATH}", "/usr/local/include"
        )
        .replace(
            "${FMT_INCLUDE_PATH}", "/usr/local/include"
        )
    )


"""Get a dict of the enabled features"""
has = {}
for k in config:
    if k.startswith("has_"):
        has[k[4:]] = _yesno[config[k].upper()]


def isMetric2D():
    """Is the metric 2D?"""
    return config["metric_type"] == "2D"


def isMetric3D():
    """Is the metric 3D?"""
    return config["metric_type"] == "3D"
